icons icons icons icons icons icons icons icons icons icons icons icons icons icons icons icons icons icons icons icons icons icons icons icons icons icons icons icons icons icons icons icons icons icons icons icons icons icons icons icons icons icons icons icons icons icons icons icons icons icons icons icons icons icons icons icons_061

Opera < 12.12 Multiple Vulnerabilities

High

Synopsis

The remote host contains a web browser that is affected by multiple vulnerabilities.

Description

Versions of Opera earlier than 12.12 is reportedly affected by the following vulnerabilities :

- An error exists related to GIF image file handling that can allow heap memory corruption and can lead to application crashes or arbitrary code execution. (1038)

- An information-disclosure vulnerability exists due to improper profile folder permissions, that can allow access to read the sensitive contents of profile files such as cache, password, and Opera's configuration files. (This issue affects only Opera Linux/Unix) (1039)

- An error exists related to URL handling and the address bar that can allow rapid, repeated web requests to cause the incorrect URL to be displayed. (1040)

Solution

Upgrade to Opera 12.12 or later.